#ifndef ATL_ctGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,160,240,320,400,880,1120,1200,1280,1360,1440,1520,1600,1680,1760,1840
 * N : 25,160,240,320,400,880,1120,1200,1280,1360,1440,1520,1600,1680,1760,1840
 * NB : 3,8,12,24,40,40,40,24,40,120,72,40,128,120,112,320
 */
#define ATL_ctGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 92) (nb_) = 3; \
   else if ((n_) < 200) (nb_) = 8; \
   else if ((n_) < 280) (nb_) = 12; \
   else if ((n_) < 360) (nb_) = 24; \
   else if ((n_) < 1160) (nb_) = 40; \
   else if ((n_) < 1240) (nb_) = 24; \
   else if ((n_) < 1320) (nb_) = 40; \
   else if ((n_) < 1400) (nb_) = 120; \
   else if ((n_) < 1480) (nb_) = 72; \
   else if ((n_) < 1560) (nb_) = 40; \
   else if ((n_) < 1640) (nb_) = 128; \
   else if ((n_) < 1720) (nb_) = 120; \
   else if ((n_) < 1800) (nb_) = 112; \
   else (nb_) = 320; \
}


#endif    /* end ifndef ATL_ctGetNB_geqrf */
