#ifndef ATL_dtGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,96,192,240,288,384,768,1536,3072
 * N : 25,96,192,240,288,384,768,1536,3072
 * NB : 4,12,12,12,60,56,52,48,48
 */
#define ATL_dtGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 60) (nb_) = 4; \
   else if ((n_) < 264) (nb_) = 12; \
   else if ((n_) < 336) (nb_) = 60; \
   else if ((n_) < 576) (nb_) = 56; \
   else if ((n_) < 1152) (nb_) = 52; \
   else (nb_) = 48; \
}


#endif    /* end ifndef ATL_dtGetNB_geqrf */
