#ifndef ATL_stGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,152,304,684,760,836,912,988,1368,2052,2356,2508,2584,2660,2736
 * N : 25,152,304,684,760,836,912,988,1368,2052,2356,2508,2584,2660,2736
 * NB : 7,12,8,20,28,76,40,96,76,48,76,76,88,24,208
 */
#define ATL_stGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 88) (nb_) = 7; \
   else if ((n_) < 228) (nb_) = 12; \
   else if ((n_) < 494) (nb_) = 8; \
   else if ((n_) < 722) (nb_) = 20; \
   else if ((n_) < 798) (nb_) = 28; \
   else if ((n_) < 874) (nb_) = 76; \
   else if ((n_) < 950) (nb_) = 40; \
   else if ((n_) < 1178) (nb_) = 96; \
   else if ((n_) < 1710) (nb_) = 76; \
   else if ((n_) < 2204) (nb_) = 48; \
   else if ((n_) < 2546) (nb_) = 76; \
   else if ((n_) < 2622) (nb_) = 88; \
   else if ((n_) < 2698) (nb_) = 24; \
   else (nb_) = 208; \
}


#endif    /* end ifndef ATL_stGetNB_geqrf */
